<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 4.7: Register Variables</title>
<link href="sx7f.html" rev=precedes>
<link href="sx7h.html" rel=precedes>
<link href="sx7.html" rev=subdocument>
</head>
<body>
<H2>section 4.7: Register Variables</H2>

page 83
<p>The <TT>register</TT> keyword is only a hint.
The compiler might not put something in a register even though you ask it to,
and
it
might put something in a register even though you don't ask it to.
Most modern compilers do a good job of deciding when to put 
things in registers,
so most of the time,
you don't need to worry about it,
and you don't have to use the <TT>register</TT> keyword at all.
</p><p>(A note to assembly language programmers:
there's no way to specify which register
a <TT>register</TT> variable gets assigned to.
Also,
when you specify a function parameter as <TT>register</TT>,
it just means that the local copy of the parameter
should be copied to a register if possible;
it does <em>not</em> necessarily indicate
that the parameter is going to be passed in a register.)
</p><hr>
<p>
Read sequentially:
<a href="sx7f.html" rev=precedes>prev</a>
<a href="sx7h.html" rel=precedes>next</a>
<a href="sx7.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
